# SPDX-FileCopyrightText: Huawei Inc.
#
# SPDX-License-Identifier: Apache-2.0

# We have a conf and classes directory, add to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have recipes-* directories, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
            ${LAYERDIR}/recipes-*/*/*.bbappend"

BBFILE_COLLECTIONS += "oniro-core"
BBFILE_PATTERN_oniro-core = "^${LAYERDIR}/"
BBFILE_PRIORITY_oniro-core = "6"

LAYERDEPENDS_oniro-core = " \
    core \
    intel \
    meta-seco-imx \
    networking-layer \
    raspberrypi \
    rauc \
    stm-st-stm32mp \
    "
LAYERSERIES_COMPAT_oniro-core = "dunfell"

ONIRO_COREBASE = '${@os.path.normpath("${LAYERDIR}/../")}'
